//
//  MultiComp_TestAppDelegate.h
//  MultiComp Test
//
//  Created by Greg Bowman on 11/21/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>
#import <QTKit/QTKit.h>

#define kRendererEventMask (NSLeftMouseDownMask | NSLeftMouseDraggedMask | NSLeftMouseUpMask | NSRightMouseDownMask | NSRightMouseDraggedMask | NSRightMouseUpMask | NSOtherMouseDownMask | NSOtherMouseUpMask | NSOtherMouseDraggedMask | NSKeyDownMask | NSKeyUpMask | NSFlagsChangedMask | NSScrollWheelMask | NSTabletPointMask | NSTabletProximityMask)
#define kRendererFPS 60.0

@interface MultiComp_TestAppDelegate : NSObject <NSApplicationDelegate> {
	NSWindow *window;
	NSOpenGLContext*	 _openGLContext;
	QCRenderer* _renderer1;
	QCRenderer* _renderer2;
	NSString* _filePath;
	NSTimer* _renderTimer;
	NSTimeInterval _startTime;
	NSSize _screenSize;
	QCComposition *theComposition;
}

@property (assign) IBOutlet NSWindow *window;

-(void)terminateVideo;
-(void)setupRenderer:(int)screenNumber;
-(void)renderWithEvent:(NSEvent*)event;
-(void)_render:(NSTimer*)timer;
-(void)sendEvent:(NSEvent*)event;

@end
